------------------------------------------------------------------------
r376 | allara | 2014-11-12 19:35:34 +0000 (Wed, 12 Nov 2014) | 2 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua

- Secondary tooltip now shows whether the item can be obtained with a bonus roll
- Updated translations for fishing nodes
------------------------------------------------------------------------
r375 | allara | 2014-11-12 19:05:15 +0000 (Wed, 12 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Fix some issues with group header display
------------------------------------------------------------------------
r374 | allara | 2014-11-12 18:56:37 +0000 (Wed, 12 Nov 2014) | 8 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

At level 100, players gain a 25x multiplier to damage done versus MoP bosses; as a result, I believe the following items are very likely to be soloable, so I've preemptively moved them to the solo section:

- Mounts: Clutch of Ji-Kun, Son of Galleon's Saddle, Spawn of Horridon, Reins of the Astral Cloud Serpent, Reins of the Cobalt Primordial Direhorn, Reins of the Heavenly Onyx Cloud Serpent, Reins of the Thundering Cobalt Cloud Serpent
- Pets: Dark Quivering Blob, Pygmy Direhorn, Quivering Blob, Droplet of Y'Shaarj, Gooey Sha-ling, Kovok

Kor'kron Juggernaut is a Mythic drop, and I'm not sure if it will be soloable at 100, so I've modified its group size to 2.

Added defeat detection for the following pets. Note that Rarity doesn't check that you defeated it on the right difficulty; that's up to you to ensure: Ji-Kun Hatchling, Dark Quivering Blob, Pygmy Direhorn, Quivering Blob, Blackfuse Bombling, Droplet of Y'Shaarj, Gooey Sha-ling, Kovok, Son of Animus
------------------------------------------------------------------------
r372 | allara | 2014-11-12 18:03:06 +0000 (Wed, 12 Nov 2014) | 2 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- NPC tooltips now respect the Requires Horde/Alliance flags
- Reins of the Grand Black War Mammoth: Removed the "doNotUpdateToHighestStat" flag; previously, Blizzard had a bug where killing one boss in VoA counted 2 kills on your statistics. This appears to have been fixed at some point. This change will cause players who attempted VoA during Blizzard's bug (Cataclysm-era), to have their attempts jump way up to match their statistics (if they don't already know the mount). Going forward, the attempts should be correct, assuming no further bugs in VoA statistics.
------------------------------------------------------------------------
r370 | allara | 2014-11-11 17:37:35 +0000 (Tue, 11 Nov 2014) | 2 lines
Changed paths:
   M /trunk/Core.lua

- Collapsed group headers will no longer disappear
- Rarity's primary tooltip will no longer be allowed to update or appear during combat; it will update itself if necessary when you leave combat
------------------------------------------------------------------------
r369 | allara | 2014-11-11 05:12:25 +0000 (Tue, 11 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Fix a syntax error
------------------------------------------------------------------------
r368 | allara | 2014-11-10 18:21:47 +0000 (Mon, 10 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Performance improvements to trailing combat scanning
------------------------------------------------------------------------
r366 | allara | 2014-11-09 21:51:07 +0000 (Sun, 09 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Empty group headers will no longer show up in the primary tooltip
------------------------------------------------------------------------
r365 | allara | 2014-11-09 20:29:39 +0000 (Sun, 09 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Cosmetic fix
------------------------------------------------------------------------
r364 | allara | 2014-11-09 20:16:54 +0000 (Sun, 09 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- This should fix the issue where Rarity took progressively longer and longer to say that it had detected an attempt; eventually this could climb into the seconds if you farmed a lot of attempts without reloading on a relatively slow system
------------------------------------------------------------------------
r362 | allara | 2014-11-09 09:14:34 +0000 (Sun, 09 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Darkmoon Eye and Syd the Squid should no longer tell you a holiday event is available when Darkmoon Faire is not in session
------------------------------------------------------------------------
r360 | allara | 2014-11-07 21:31:00 +0000 (Fri, 07 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Tooltip updates
------------------------------------------------------------------------
r359 | allara | 2014-11-07 18:04:07 +0000 (Fri, 07 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Rarity now tracks the achievements Bloody Rare, Frostbitten, Glorious!, and Gorgrond Monster Hunter. When you mouseover a rare NPC in the world, Rarity will tell you if you need to kill it for an achievement, or if you've already killed it.
------------------------------------------------------------------------
r357 | allara | 2014-11-07 04:41:17 +0000 (Fri, 07 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Initialization tweak
------------------------------------------------------------------------
r356 | allara | 2014-11-06 20:38:41 +0000 (Thu, 06 Nov 2014) | 7 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Icons/wod.blp
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Toys! Rarity now supports toys. It will check your toy box to see if you already have the item, and will show you the game's source information for where to obtain the toy. 
- World drops (i.e. Super Simian Sphere, Orb of Deception) will not be implemented in Rarity since they can drop from every single thing across multiple continents and instances, and it would be far too disruptive to track them. (Plus they're crazy rare.)
- I'm also not putting Archaeology toys in, as quite a few of them come from Archaeology and it's kind of silly to count an attempt for 10 things every time you complete an archaeology project.
- If I missed a toy that you think is rare, feel free to let me know. Note that all the upcoming 100% drop toys in WoD are already supported. In order to be considered, the toy probably needs to drop from something (with less than 100% drop rate) or come from a container (with less than 100% rate).
- Rarity has the tech necessary to support the pickpocketed dice toys, but I don't have a full list of NPC IDs that can drop those items, so they are not implemented yet.
- The following toys were added with this build: The Heartbreaker, Moonfang Shroud, Moonfang's Paw, Orb of the Sin'dorei, Time-Lost Figurine, Frenzyheart Brew, Unusual Compass, Ai-Li's Skymirror, Blackflame Daggers, Chalice of Secrets, Eternal Kiln, Farwater Conch, Gastropod Shell, Hozen Beach Ball, Kang's Bindstone, Mr. Smite's Brass Compass, Odd Polished Stone, Pandaren Firework Launcher, Panflute of Pandaria, Rime of the Time-Lost Mariner, Warning Sign
- Updated the WoD icon
------------------------------------------------------------------------
r354 | allara | 2014-11-06 01:12:00 +0000 (Thu, 06 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Removed the pickpocketed dice items since I've been told the list of NPCs is wrong and WowHead does not have the list. If a rogue wants to help provide a full list of NPCs that can be used to obtain the dice, I can add them back. In the meantime, pickpocketing support now exists and works, so you can add your own items if you want.
------------------------------------------------------------------------
r353 | allara | 2014-11-05 22:09:30 +0000 (Wed, 05 Nov 2014) | 7 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- Add support for pickpocketing
- All players will see pickpocketed items in world tooltips, but it will show "Requires Pickpocketing" in red for non-rogues
- Pickpocketed items will be marked Unavailable for non-rogues, so if you have "Hide unavailable items" turned on, they will be hidden from the primary tooltip
- Add: Decahedral Dwarven Dice, Loaded Gnomish Dice, Worn Troll Dice
- Renamed "Items" to "Toys & Items"
- Renamed "Companions" to "Battle Pets"
- The expansion pack name in the secondary tooltip is now shown as the icon
------------------------------------------------------------------------
r351 | allara | 2014-11-05 17:31:27 +0000 (Wed, 05 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- WoD rare list update
------------------------------------------------------------------------
r349 | allara | 2014-11-05 00:32:08 +0000 (Wed, 05 Nov 2014) | 3 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- New option: Primary tooltip scale (lets you scale Rarity's primary tooltip up or down)
- Options reorganization
- WoD tooltip updates
------------------------------------------------------------------------
r347 | allara | 2014-11-04 05:54:10 +0000 (Tue, 04 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- This should hopefully correct an issue where Rarity doesn't appear to update its count (in the LDB feed or the bar) when repeatedly farming an item
------------------------------------------------------------------------
r345 | allara | 2014-11-03 17:07:47 +0000 (Mon, 03 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Time-Locked Box: Set Repeatable to TRUE by default
------------------------------------------------------------------------
r344 | allara | 2014-11-03 05:26:56 +0000 (Mon, 03 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- WoD rare list update
------------------------------------------------------------------------
r343 | allara | 2014-11-03 00:26:38 +0000 (Mon, 03 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- This is a performance improvement to reduce framerate stutter when Rarity logs a new attempt
------------------------------------------------------------------------
r342 | allara | 2014-11-03 00:02:54 +0000 (Mon, 03 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Time-Locked Box: Update list of NPCs (tons of them were missing)
------------------------------------------------------------------------
r341 | allara | 2014-11-02 23:26:29 +0000 (Sun, 02 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Updated fishing timer to 22 seconds (up from 19 seconds)
------------------------------------------------------------------------
r339 | allara | 2014-11-02 18:37:26 +0000 (Sun, 02 Nov 2014) | 3 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- Added the ability to turn off holiday reminders on an item-by-item basis
- Added Syd the Squid
- Darkmoon Eye, Syd the Squid: Changed type to holiday; added defeat detection, holiday reminders, and additional tooltip information
------------------------------------------------------------------------
r338 | allara | 2014-11-02 01:11:48 +0000 (Sun, 02 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Bucket the UPDATE_INSTANCE_INFO, LFG_UPDATE_RANDOM_INFO, and CALENDAR_UPDATE_EVENT_LIST events. Sometimes the server calls these repeatedly.
------------------------------------------------------------------------
r336 | allara | 2014-11-01 20:37:35 +0000 (Sat, 01 Nov 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- This is an attempt to fix a performance issue reported by several users. Rarity is now much less aggressive about when it asks for instance lock detail, and how much scanning it does when it receives updated instance/dungeon information from the server.
------------------------------------------------------------------------
r333 | allara | 2014-10-31 16:50:47 +0000 (Fri, 31 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Bug fix
------------------------------------------------------------------------
r332 | allara | 2014-10-31 04:17:15 +0000 (Fri, 31 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- WoD rare list update
------------------------------------------------------------------------
r331 | allara | 2014-10-31 00:37:07 +0000 (Fri, 31 Oct 2014) | 2 lines
Changed paths:
   M /trunk
   M /trunk/Core.lua
   A /trunk/Icons
   A /trunk/Icons/bc.blp
   A /trunk/Icons/cata.blp
   A /trunk/Icons/classic.blp
   A /trunk/Icons/holiday.blp
   A /trunk/Icons/mop.blp
   A /trunk/Icons/wod.blp
   A /trunk/Icons/wotlk.blp
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- Add a new sort mode: sorting by category, then name
- Add a new option: Show category icons. Off by default, this puts an icon next to each item in the tooltip indicating which expansion it comes from. For those of us who like to farm a lot of these things on weekly lockouts, it can be useful to turn this icon on and sort by category, working your way from top to bottom.
------------------------------------------------------------------------
r330 | allara | 2014-10-30 22:07:09 +0000 (Thu, 30 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- When you login, Rarity will remind you if you have a holiday dungeon available for an item you still need. You can turn this off in the Options.
------------------------------------------------------------------------
r329 | allara | 2014-10-30 21:32:38 +0000 (Thu, 30 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- Items marked as "Unavailable" will now be hidden from the tooltip. You can turn this off in the Options.
------------------------------------------------------------------------
r328 | allara | 2014-10-30 21:26:16 +0000 (Thu, 30 Oct 2014) | 2 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Smoldering Egg of Millagazor: Tooltip fixes
- Holiday items that aren't tied to a holiday dungeon now use the calendar to detect if the holiday is active, and if not, show "Unavailable" in the tooltip
------------------------------------------------------------------------
r327 | allara | 2014-10-30 20:41:04 +0000 (Thu, 30 Oct 2014) | 5 lines
Changed paths:
   M /trunk/Options_Defaults.lua

- Older raid instances don't display boss detail in their lock tooltip, so we can't detect if Kael'thas Sunstrider has been defeated this week for Ashes of Al'ar
- Swift White Hawkstrider: Now supports defeat detection
- Smoldering Egg of Millagazor: Now supports defeat detection
- Reins of the Grand Black War Mammoth: Supporting defeat detection by looking at Archavon the Stone Watcher only
- The following items now show up in the tooltip when the raid boss that drops them is moused over: Deathcharger's Reins, Ashes of Al'ar, Reins of the Azure Drake, Reins of the Blue Drake, Reins of the Grand Black War Mammoth, Reins of the Onyxian Drake
------------------------------------------------------------------------
r326 | allara | 2014-10-30 19:42:42 +0000 (Thu, 30 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Bug fix for detecting which battle pets you already own
------------------------------------------------------------------------
r325 | allara | 2014-10-30 19:31:23 +0000 (Thu, 30 Oct 2014) | 2 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Rarity now detects if you've defeated the holiday boss for the day
- Items that come from holiday bosses now show "Unavailable" in gray if the holiday is not in session
------------------------------------------------------------------------
r324 | allara | 2014-10-30 17:39:25 +0000 (Thu, 30 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Rarity should now automatically update its instance lockout detection when a boss is defeated
------------------------------------------------------------------------
r323 | allara | 2014-10-30 16:48:29 +0000 (Thu, 30 Oct 2014) | 2 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Add the following guaranteed mount drops in WoD (these will show up in the tooltip when you mouseover the mob): Bloodhoof Bull, Great Greytusk, Mottled Meadowstomper, Sapphire Riverbeast, Sunhide Gronnling, Swift Breezestrider
- Add the WoD mount Garn Nighthowl. This is a single guaranteed drop from a boss that requires a group to defeat, and the group has to roll on the mount. I guessed at requiring a 5-man group until we know more.
------------------------------------------------------------------------
r322 | allara | 2014-10-30 16:37:33 +0000 (Thu, 30 Oct 2014) | 1 line
Changed paths:
   M /trunk/.pkgmeta

- Packager fix
------------------------------------------------------------------------
r321 | allara | 2014-10-30 00:17:41 +0000 (Thu, 30 Oct 2014) | 1 line
Changed paths:
   M /trunk/.pkgmeta
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua
   M /trunk/Rarity.toc

- Rarity now scans your instance locks to detect if you've defeated a boss that drops something Rarity tracks. This has only been applied to most mounts so far, not pets yet. It doesn't yet support some of the corner cases, such as: bosses that exist in two places at once (i.e. Ragnaros, Kael'thas Sunstrider), bosses that only drop the item on certain difficulties with separate lockouts (i.e. Elegon, Ji-Kun), and items that drop from multiple different bosses (i.e. Reins of the Grand Black War Mammoth). This feature *should* work for every locale, since it uses LibBabble-Boss-3.0 for boss name translations.
------------------------------------------------------------------------
r320 | allara | 2014-10-29 21:22:00 +0000 (Wed, 29 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Add the following Warlords of Draenor mounts (drop rates are placeholder): Garn Steelmaw, Giant Coldsnout, Shadowhide Pearltusk, Smoky Direwolf, Solar Spirehawk
------------------------------------------------------------------------
r318 | allara | 2014-10-29 19:04:08 +0000 (Wed, 29 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Rarity's extra status tooltip now uses word-wrapping and restricts the width of the tooltip
------------------------------------------------------------------------
r316 | allara | 2014-10-28 23:10:42 +0000 (Tue, 28 Oct 2014) | 3 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- Remove compatibility with the 5.x client
- The Rarity item tooltip is now integrated into the status tooltip. This reduces screen clutter and eliminates extra stuff such as the Comparison tooltip and the Auctioneer tooltip, and puts everything in one easy-to-read place.
- The following items now show up in the tooltip when the raid boss that drops them is moused over: Invincible's Reins, Experiment 12-B, Flametalon of Alysrazor, Reins of the Drake of the South Wind, Smoldering Egg of Millagazor, Clutch of Ji-Kun, Kor'kron Juggernaut, Son of Galleon's Saddle, Spawn of Horridon, Reins of the Astral Cloud Serpent, Reins of the Cobalt Primordial Direhorn, Reins of the Heavenly Onyx Cloud Serpent, Reins of the Thundering Cobalt Cloud Serpent, Ji-Kun Hatchling, Son of Animus, Dark Quivering Blob, Pygmy Direhorn, Quivering Blob, Blackfuse Bombling, Droplet of Y'Shaarj, Gooey Sha-ling, Kovok
------------------------------------------------------------------------
r314 | allara | 2014-10-28 16:16:58 +0000 (Tue, 28 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- WoD rare list update
------------------------------------------------------------------------
r312 | allara | 2014-10-28 06:05:02 +0000 (Tue, 28 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Remove a test item
------------------------------------------------------------------------
r311 | allara | 2014-10-28 06:04:37 +0000 (Tue, 28 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Enhance one-time item tooltips to get the colors right
------------------------------------------------------------------------
r310 | allara | 2014-10-28 05:56:23 +0000 (Tue, 28 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Rarity "one-time use" items (as found on WoD rares) now contain all the item info in the tooltip. This lets you decide if you want to bother with the rare just by mousing over it.
------------------------------------------------------------------------
r308 | allara | 2014-10-28 00:04:29 +0000 (Tue, 28 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Rarity now leverages the new 6.0 GUIDs to avoid interacting with players or pets (this should fix Rarity showing tooltip info on flagged hunter pets of the opposite faction)
------------------------------------------------------------------------
r306 | allara | 2014-10-27 23:05:11 +0000 (Mon, 27 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Rarity tooltips will no longer appear on NPCs that you can't attack, that are a player, or that are PVP flagged
------------------------------------------------------------------------
r304 | allara | 2014-10-27 05:04:11 +0000 (Mon, 27 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Implemented "one-time items". Rarity will show you which item drops from the various vignette rares in Warlords of Draenor, and tell you if you've already defeated the NPC once. The item is a guaranteed drop the first time you defeat the NPC. This information appears in the tooltip when you mouseover the NPC. Some items are missing in this build. Special thanks to Gershuun for providing the data.
------------------------------------------------------------------------
r302 | allara | 2014-10-26 18:13:40 +0000 (Sun, 26 Oct 2014) | 2 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- Primal Egg and Giant Dinosaur Bone: Fix a tooltip bug
- New option added: Show attempts in tooltips. Turn this off if you don't want to see your attempts in Rarity tooltips.
------------------------------------------------------------------------
r300 | allara | 2014-10-25 23:15:20 +0000 (Sat, 25 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua

- Bug fixes and misc tooltip improvements
------------------------------------------------------------------------
r298 | allara | 2014-10-25 20:36:33 +0000 (Sat, 25 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Rarity tooltips will now show the number of attempts and "Already known" if you already have the mount/pet
------------------------------------------------------------------------
r296 | allara | 2014-10-23 22:56:10 +0000 (Thu, 23 Oct 2014) | 2 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Add Sky-Bo
- Lil' Bling can also be contained in Blingtron 5000 Gift Package; updated chance to 1 in 200 (0.5%)
------------------------------------------------------------------------
r294 | allara | 2014-10-22 23:07:09 +0000 (Wed, 22 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- Cleaned up mount source info and added info for pets. Most of the info is being driven by the Mount/Pet Journal, so the info should be properly localized. I've manually added some additional info for many mounts when the mount journal didn't give enough information. This text needs to be localized.
------------------------------------------------------------------------
r292 | allara | 2014-10-22 20:49:42 +0000 (Wed, 22 Oct 2014) | 3 lines
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- In preparation for WoD, added Kor'kron Juggernaut
- Made Life-Binder's Handmaiden soloable
- Added source information for all Mounts and Items in Rarity! Rarity will now tell you where and how to obtain these items. You can find this information by hovering over the item in the tooltip, or by visiting the item in Rarity Options. Information for Battle Pets is coming soon.
------------------------------------------------------------------------
r290 | allara | 2014-10-20 19:04:11 +0000 (Mon, 20 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Modules/Options/Options.lua
   M /trunk/Options_Defaults.lua

- Rarity will now automatically take a screenshot when you obtain an item. This can be turned off in Options.
------------------------------------------------------------------------
r288 | allara | 2014-10-19 23:53:41 +0000 (Sun, 19 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Rarity.toc

- Add LibBabble-CreatureType-3.0 to OptionalDeps
------------------------------------------------------------------------
r286 | allara | 2014-10-18 18:17:40 +0000 (Sat, 18 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- The Horseman's Reins: Updated item ID for the Loot-Filled Pumpkin
------------------------------------------------------------------------
r285 | allara | 2014-10-16 01:02:00 +0000 (Thu, 16 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Tapping the packager again
------------------------------------------------------------------------
r283 | allara | 2014-10-15 23:06:55 +0000 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Options_Defaults.lua

- Time-Locked Box: Added a few more NPCs
------------------------------------------------------------------------
r281 | allara | 2014-10-15 22:59:55 +0000 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua
   M /trunk/Options_Defaults.lua

- Add Time-Locked Box
------------------------------------------------------------------------
r279 | allara | 2014-10-15 16:39:30 +0000 (Wed, 15 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Bug fix
------------------------------------------------------------------------
r278 | allara | 2014-10-14 20:33:03 +0000 (Tue, 14 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua
   M /trunk/Locales.lua

- Added fishing and mining nodes for Warlords of Draenor in enUS (translations needed)
------------------------------------------------------------------------
r276 | allara | 2014-10-14 19:36:04 +0000 (Tue, 14 Oct 2014) | 1 line
Changed paths:
   M /trunk/Core.lua

- Update GUID detection for 6.0.2
------------------------------------------------------------------------
